#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'image_paradise/constants/constants.rb'
# =========================================================================== #
module ImageParadise

  require 'image_paradise/project/project.rb'

  # ========================================================================= #
  # === N
  # ========================================================================= #
  N = "\n"

  # ========================================================================= #
  # === ALPHABET
  # ========================================================================= #
  ALPHABET = ('a'..'z').to_a

  # ========================================================================= #
  # === DEFAULT_CROP_COMMAND_TO_USE
  # ========================================================================= #
  DEFAULT_CROP_COMMAND_TO_USE = '125x125+35+35'

  # ========================================================================= #
  # === DEFAULT_TEXT
  #
  # This is the default text.
  # ========================================================================= #
  DEFAULT_TEXT = 'Hello World!'

  # ========================================================================= #
  # === DEFAULT_FONT
  # ========================================================================= #
  DEFAULT_FONT = 'Terminus'

  # ========================================================================= #
  # === CONVERT
  # ========================================================================= #
  CONVERT      = 'convert'

  # ========================================================================= #
  # === ImageParadise.file_width_and_height_of_images_in_the_fotogallery
  # ========================================================================= #
  def self.file_width_and_height_of_images_in_the_fotogallery
    '/home/x/data/images/yaml/width_and_height_of_images_in_the_fotogallery.yml'
  end

end