#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'image_paradise/gm_support.rb'
# =========================================================================== #
module ImageParadise

module GmSupport

  # ========================================================================= #
  # === prefix
  #
  # Note that this functionality depends on the binary gm, which is
  # part of 'graphicsmagick'.
  # ========================================================================= #
  def prefix(command)
    "gm #{command}"
  end

end

class ImageManipulations

  # ========================================================================= #
  # === ImageManipulations.gm
  # ========================================================================= #
  def self.gm(file)
    instance = new(file)
    instance.extend(GmSupport)
    instance
  end

end; end