#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'image_paradise/project/project.rb'
# ImageParadise.project_base_directory?
# =========================================================================== #
module ImageParadise

  # ========================================================================= #
  # === ImageParadise::PROJECT_BASE_DIRECTORY
  # ========================================================================= #
  PROJECT_BASE_DIRECTORY = 
    File.absolute_path("#{__dir__}/..")+'/'

  # ========================================================================= #
  # === ImageParadise.project_base_directory?
  # ========================================================================= #
  def self.project_base_directory?
    PROJECT_BASE_DIRECTORY
  end; self.instance_eval { alias project_base_dir? project_base_directory? } # === ImageParadise.project_base_dir?
       self.instance_eval { alias project_dir?      project_base_directory? } # === ImageParadise.project_dir?
       self.instance_eval { alias base_dir?         project_base_directory? } # === ImageParadise.base_dir?
       self.instance_eval { alias base_directory?   project_base_directory? } # === ImageParadise.base_directory?

end

if __FILE__ == $PROGRAM_NAME
  puts ImageParadise.project_base_dir?
end