#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Delegate to the following file in order to load the other .rb
# files of this project.
# =========================================================================== #
# require 'image_paradise/requires/require_the_image_paradise_project.rb'
# =========================================================================== #
require 'image_paradise/image_paradise.rb'
require 'image_paradise/colours/colours.rb'
require 'image_paradise/utility_scripts/black_white.rb'
require 'image_paradise/shell/interactive.rb'
require 'image_paradise/rotate/rotate.rb'
require 'image_paradise/constants/constants.rb'
require 'image_paradise/constants/image_file_types.rb'
require 'image_paradise/svg/svg.rb'
# =========================================================================== #
# Include all image_paradise/class_methods next:
# =========================================================================== #
require 'image_paradise/requires/require_toplevel_methods.rb'

ImageParadise.require_toplevel_methods

require 'image_paradise/requires/require_image_to_ascii.rb'

require 'image_paradise/utility_scripts/black_white.rb'
require 'image_paradise/utility_scripts/image_border.rb'
require 'image_paradise/utility_scripts/image_manipulations.rb'
require 'image_paradise/utility_scripts/random_text_to_image.rb'
require 'image_paradise/utility_scripts/to_jpg.rb'
require 'image_paradise/utility_scripts/to_gif.rb'
require 'image_paradise/utility_scripts/text_on_image.rb'
