#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# We will tap into the project crop next.
# =========================================================================== #
# require 'image_paradise/toplevel_methods/crop.rb'
# =========================================================================== #
module ImageParadise

  require 'image_paradise/crop/crop.rb'

  # ========================================================================= #
  # === crop
  #
  # Delegate towards the class-method above, called ImageParadise.crop()
  # ========================================================================= #
  def crop(
      i                   = filename?,
      crop_command_to_use = nil,
      optional_hash       = {},
      &block
    )
    ImageParadise.crop(
      i, crop_command_to_use, optional_hash, &block
    )
  end

end