#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'image_paradise/toplevel_methods/esystem.rb'

module ImageParadise

  # ========================================================================= #
  # === ImageParadise.mirror_image
  # ========================================================================= #
  def self.mirror_image(this_image)
    if this_image.is_a? Array
      this_image.each {|entry|
        mirror_image(entry)
      }
    else
      name_of_the_output_file = 'mirrored_image_'+this_image
      _ = 'convert '+this_image+' \( -clone 0 -flop \) +append '+name_of_the_output_file
      esystem _
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  ImageParadise.mirror_image(ARGV)
end # mirror_image