#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'image_paradise/toplevel_methods/quality.rb'
# =========================================================================== #
module ImageParadise

  require 'image_paradise/toplevel_methods/esystem.rb'

  # ========================================================================= #
  # === ImageParadise.quality
  # ========================================================================= #
  def self.quality(
      i,
      n_percent = '30',
      output_filename = :guess
    )
    if output_filename.is_a? Array
      output_filename = output_filename.first
    end
    n_percent = n_percent.to_s 
    if i.is_a? Array
      i = i.join(' ').strip
    end
    case output_filename
    when nil, :guess
      output_file = 'quality_modified_'+File.basename(i)
    end
    _ = 'convert -quality '+n_percent.to_s+'% '+i+' '+output_file
    esystem _
  end

end # quality foobar.png 30