#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# http://localhost/DATA/PROGRAMMING_LANGUAGES/RUBY/src/image_paradise/lib/image_paradise/www/cfdg.cgi
# =========================================================================== #
require 'cyberweb/autoinclude'

english {
title 'cfdg'
favicon 'PC/RUBY/RUBY_FAVICON.png'
css_style :template1
body_css_class 'mar0px s12px padt4px marpad2px VERDANAs'
body_css_style 'background-color: #d3d2d1;'
font_size 'def'

doc {
  h2 'Available .cfdg files:'
  Dir['/Depot/Images/*png'].each {|file|
    h3(file,'marl2em')
    id_to_use = File.basename(file).downcase.delete_suffix(File.extname(file))
    ee '<img src="/images/'+File.basename(file)+'" id="'+id_to_use+'" class="bblack2"'\
       ' style="margin-right: 2em; margin-left: 2em">'
  }
}}