#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'image_paradise/colours/colours.rb'
# =========================================================================== #
module ImageParadise

  # ========================================================================= #
  # === @main_colour
  #
  # This is the main colour that can be used when you need to use a
  # colour, such as when you want to draw a "red border". It is
  # used primarily by the imagemagick-related code of this project.
  # ========================================================================= #
  @main_colour = :steelblue

  # ========================================================================= #
  # === ImageParadise.main_colour?
  # ========================================================================= #
  def self.main_colour?
    @main_colour
  end

  # ========================================================================= #
  # === ImageParadise.set_main_colour
  # ========================================================================= #
  def self.set_main_colour(i)
    @main_colour = i
  end; self.instance_eval { alias set_colour set_main_colour } # === ImageParadise.set_colour

end