#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will load the files in the graphs/ subdirectory.
#
# Extra full path added to fix loading errors on some installations.
# =========================================================================== #
%w(
  themes.rb
  base.rb
  area.rb
  bar.rb
  bezier.rb
  bullet.rb
  dot.rb
  line.rb
  net.rb
  pie.rb
  scatter.rb
  spider.rb
  stacked_area.rb
  stacked_bar.rb
  side_stacked_bar.rb
  side_bar.rb
  accumulator_bar.rb
  scene.rb
  mini/legend.rb
  mini/bar.rb
  mini/pie.rb
  mini/side_bar.rb
).each {|file|
  begin
    require "image_paradise/graphs/#{file}"
  rescue LoadError; end
}