#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Note that this also contains directory-related code, but the file was not
# yet renamed.
# =========================================================================== #
# require 'image_paradise/toplevel_methods/file_related_code.rb'
# =========================================================================== #
module ImageParadise

  require 'fileutils'

  begin
    require 'save_file'
  rescue LoadError; end

  # ========================================================================= #
  # === ImageParadise.write_what_into
  # ========================================================================= #
  def self.write_what_into(what, into)
    ::SaveFile.write_what_into(what, into)
  end

  # ========================================================================= #
  # === ImageParadise.mkdir
  # ========================================================================= #
  def self.mkdir(i)
    FileUtils.mkdir_p(i) unless File.directory? i
  end

  # ========================================================================= #
  # === ImageParadise.remove_file
  #
  # We need a common way to delete files, so here it is.
  # ========================================================================= #
  def self.remove_file(i)
    FileUtils.rm(i) if File.exist? i
  end

  # ========================================================================= #
  # === remove_file
  # ========================================================================= #
  def remove_file(i)
    ::ImageParadise.remove_file(i)
  end

end