#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'image_paradise/toplevel_methods/negate.rb'
# =========================================================================== #
module ImageParadise

  require 'image_paradise/toplevel_methods/esystem.rb'

  # ========================================================================= #
  # === ImageParadise.negate
  # ========================================================================= #
  def self.negate(
      i, # <- The name of the file
      output_filename = :infer
    )
    if i.is_a? Array
      i = i.join(' ').strip
    end
    case output_filename
    when :infer, :default
      output_filename = 'negated_'+File.basename(i)
    end
    _ = 'convert '+i+' -negate '+output_filename
    e
    esystem _
    e
    return output_filename # We also return the filename here.
  end

end

if __FILE__ == $PROGRAM_NAME
  ImageParadise.negate(ARGV)
end # negate