# -*- encoding: utf-8 -*-
# stub: image_paradise 0.2.86 ruby lib

Gem::Specification.new do |s|
  s.name = "image_paradise".freeze
  s.version = "0.2.86"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.3.7".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2022-05-28"
  s.description = "\nThis project, called image_paradise, allows you to manipulate images,\nprimarily by using ImageMagick.\n\nFor a more complete overview, have a look at the official documentation\nof this gem, at: \n\nhttps://www.rubydoc.info/gems/image_paradise/\n\n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.executables = ["black_white".freeze, "confree_generator".freeze, "create_new_image".freeze, "display_text_from_this_image".freeze, "draw_as_specified_from_the_yaml_file".freeze, "embed_the_filename_into_this_image".freeze, "image_paradise".freeze, "image_paradise_shell".freeze, "image_to_ascii".freeze, "image_to_pdf".freeze, "imageparadise_img2pdf".freeze, "img_text".freeze, "interlace".freeze, "jpg_to_pdf".freeze, "magic_card_border".freeze, "make_this_image_transparent".freeze, "morph_these_images".freeze, "optimize_this_image".freeze, "quality".freeze, "rotate_left".freeze, "rotate_right".freeze, "round_the_corner".freeze, "ruby_montage".freeze, "transparent".freeze]
  s.files = ["bin/black_white".freeze, "bin/confree_generator".freeze, "bin/create_new_image".freeze, "bin/display_text_from_this_image".freeze, "bin/draw_as_specified_from_the_yaml_file".freeze, "bin/embed_the_filename_into_this_image".freeze, "bin/image_paradise".freeze, "bin/image_paradise_shell".freeze, "bin/image_to_ascii".freeze, "bin/image_to_pdf".freeze, "bin/imageparadise_img2pdf".freeze, "bin/img_text".freeze, "bin/interlace".freeze, "bin/jpg_to_pdf".freeze, "bin/magic_card_border".freeze, "bin/make_this_image_transparent".freeze, "bin/morph_these_images".freeze, "bin/optimize_this_image".freeze, "bin/quality".freeze, "bin/rotate_left".freeze, "bin/rotate_right".freeze, "bin/round_the_corner".freeze, "bin/ruby_montage".freeze, "bin/transparent".freeze]
  s.homepage = "https://rubygems.org/gems/image_paradise".freeze
  s.licenses = ["GPL-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.8".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "This project, called image_paradise, allows you to manipulate images, primarily by using ImageMagick.  For a more complete overview, have a look at the official documentation of this gem, at:   https://www.rubydoc.info/gems/image_paradise/".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<colours>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<save_file>.freeze, [">= 0"])
  else
    s.add_dependency(%q<colours>.freeze, [">= 0"])
    s.add_dependency(%q<opn>.freeze, [">= 0"])
    s.add_dependency(%q<save_file>.freeze, [">= 0"])
  end
end
